Skip to main content
GET
/
api
/
svc
/
v1
/
mcp-servers
/
{id}
/
auth
Get MCP server authentication with auto-refresh (Admin only)
curl --request GET \
  --url https://{controlPlaneURL}/api/svc/v1/mcp-servers/{id}/auth \
  --header 'Authorization: Bearer <token>'
{
  "status": "authenticated",
  "data": {
    "type": "oauth2",
    "access_token": "<string>",
    "refresh_token": "<string>",
    "id_token": "<string>",
    "expires_at": 123
  },
  "timestamp": 123,
  "mcpAuthRevision": 123,
  "reason": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Query Parameters

userId
string
required

User ID

tenantName
string
required

Tenant name

Response

OAuth 2.1 authentication details with refresh metadata

status
enum<string>
Available options:
authenticated,
unauthenticated
data
object

OAuth 2.1 authentication data (only present if authenticated)

timestamp
number

Timestamp (unix ms) of when the auth record was last updated

mcpAuthRevision
number

Auth revision timestamp for MCP server auth configuration

reason
string

Reason for unauthenticated status (e.g., network_error, upstream_error, invalid_grant, refresh_failed)